import { FormatOptions } from "../lib/index.js";
import type { DateLib } from "../types/index.js";
/**
 * The default formatter for the caption element. As default, it returns the
 * month and year.
 *
 * @group Formatters
 * @see https://daypicker.dev/next/docs/translation#custom-formatters
 */
export declare function formatCaption(month: Date, options?: FormatOptions, 
/** @ignore */
dateLib?: DateLib): string;
/**
 * @private
 * @deprecated Use {@link formatCaption} instead.
 * @group Formatters
 */
export declare const formatMonthCaption: typeof formatCaption;
