"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatMonthCaption = void 0;
exports.formatCaption = formatCaption;
const index_js_1 = require("../lib/index.js");
/**
 * The default formatter for the caption element. As default, it returns the
 * month and year.
 *
 * @group Formatters
 * @see https://daypicker.dev/next/docs/translation#custom-formatters
 */
function formatCaption(month, options, 
/** @ignore */
dateLib = index_js_1.dateLib) {
    return dateLib.format(month, "LLLL y", options);
}
/**
 * @private
 * @deprecated Use {@link formatCaption} instead.
 * @group Formatters
 */
exports.formatMonthCaption = formatCaption;
//# sourceMappingURL=formatCaption.js.map