"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatMonthDropdown = formatMonthDropdown;
const locales_js_1 = require("../lib/locales.js");
/**
 * The default formatter for the month dropdown option. As default, it returns
 * the month name.
 *
 * @group Formatters
 * @see https://daypicker.dev/next/docs/translation#custom-formatters
 */
function formatMonthDropdown(
/** The month number to format. */
monthNumber, 
/** The locale to use for formatting. */
locale = locales_js_1.enUS) {
    return (locale.localize?.month(monthNumber) ??
        monthNumber.toString());
}
//# sourceMappingURL=formatMonthDropdown.js.map