"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatWeekNumber = formatWeekNumber;
/**
 * The default formatter for the week numbers. As default, it returns the week
 * number with a leading zero if the week number is less than 10.
 *
 * @param weekNumber - The week number to format.
 * @group Formatters
 * @see https://daypicker.dev/next/docs/translation#custom-formatters
 */
function formatWeekNumber(weekNumber) {
    if (weekNumber < 10) {
        return `0${weekNumber.toLocaleString()}`;
    }
    return `${weekNumber.toLocaleString()}`;
}
//# sourceMappingURL=formatWeekNumber.js.map