"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatWeekdayName = formatWeekdayName;
const index_js_1 = require("../lib/index.js");
/**
 * The default formatter for the name of the weekday. As default, it returns the
 * short name of the weekday (e.g. "Mo").
 *
 * @group Formatters
 * @see https://daypicker.dev/next/docs/translation#custom-formatters
 */
function formatWeekdayName(weekday, options, 
/** @ignore */
dateLib = index_js_1.dateLib) {
    return dateLib.format(weekday, "cccccc", options);
}
//# sourceMappingURL=formatWeekdayName.js.map