import type { DateLib, LabelOptions } from "../index.js";
import type { Modifiers } from "../types/index.js";
/**
 * Return an ARIA label for the day button.
 *
 * Use the `modifiers` argument to add additional context to the label, e.g.
 * when a day is selected or is today.
 *
 * @group Labels
 * @see http://daypicker.dev/next/docs/translation#aria-labels
 */
export declare function labelDayButton(date: Date, 
/** The modifiers for the day. */
modifiers: Modifiers, options?: LabelOptions, 
/** @ignore */
dateLib?: DateLib): string;
/** @deprecated Use `labelDayButton` instead. */
export declare const labelDay: typeof labelDayButton;
