import React from "react";
import type { DateLib, DayPickerProps, Modifiers, PropsMulti, PropsMultiRequired } from "../types/index.js";
export type UseMulti<T> = {
    handleSelect: (triggerDate: Date, modifiers: Modifiers, e: React.MouseEvent | React.KeyboardEvent) => Date[] | undefined;
    isSelected: (date: Date) => boolean;
} & (T extends {
    required: true;
} ? {
    selected: Date[];
} : {
    selected: Date[] | undefined;
});
export declare function useMulti<T extends DayPickerProps>(props: T extends {
    mode: "multiple";
} ? PropsMulti | PropsMultiRequired : object, dateLib: DateLib): UseMulti<T>;
