import type { DayPickerProps } from "./types/props.js";
import type { UseCalendar } from "./useCalendar.js";
import type { UseModifiers } from "./useModifiers.js";
import type { UseMulti, UseRange, UseSelection, UseSingle } from "./useSelection.js";
export type { UseCalendar, UseModifiers, UseSelection, UseMulti, UseRange, UseSingle };
export declare const dayPickerContext: import("react").Context<(UseCalendar & UseModifiers & UseSelection<DayPickerProps>) | undefined>;
/**
 * Return API to work with `<DayPicker />` inside custom components.
 *
 * @group Hooks
 * @see https://daypicker.dev/next/guides/custom-components
 */
export declare function useDayPicker<T extends DayPickerProps>(props?: T): UseCalendar & UseModifiers & UseSelection<T>;
