import type { CalendarDay } from "./classes/index.js";
import type { DateLib, DayPickerProps, Mode } from "./types/index.js";
import { UseCalendar } from "./useCalendar.js";
import { UseModifiers } from "./useModifiers.js";
import { UseSelection } from "./useSelection.js";
export type UseFocus = {
    /** The date that is currently focused. */
    focused: CalendarDay | undefined;
    /** The date that is target of the focus when tabbing into the month grid. */
    isFocusTarget: (day: CalendarDay) => boolean;
    /** Focus the given day. */
    setFocused: (day: CalendarDay | undefined) => void;
    /** Set the last focused day. */
    setLastFocused: (day: CalendarDay | undefined) => void;
    /** Blur the focused day. */
    blur: () => void;
    /** Focus the day after the focused day. */
    focusDayAfter: () => void;
    /** Focus the day before the focused day. */
    focusDayBefore: () => void;
    /** Focus the day in the week before the focused day. */
    focusWeekBefore: () => void;
    /** Focus the day in the week after the focused day. */
    focusWeekAfter: () => void;
    focusMonthBefore: () => void;
    focusMonthAfter: () => void;
    focusYearBefore: () => void;
    focusYearAfter: () => void;
    focusStartOfWeek: () => void;
    focusEndOfWeek: () => void;
};
/** @private */
export declare function useFocus(props: Pick<DayPickerProps, "autoFocus" | "disabled" | "hidden" | "modifiers" | "numberOfMonths" | "locale" | "ISOWeek" | "weekStartsOn">, calendar: UseCalendar, modifiers: UseModifiers, selection: UseSelection<{
    mode: Mode;
}>, dateLib: DateLib): UseFocus;
