import { DayFlag, SelectionState } from "./UI.js";
import { CalendarDay } from "./classes/index.js";
import type { DateLib, DayPickerProps, Modifiers } from "./types/index.js";
import type { UseCalendar } from "./useCalendar.js";
export type UseModifiers = {
    /** List the days with custom modifiers passed via the `modifiers` prop. */
    customModifiers: Record<string, CalendarDay[]>;
    /** List the days with the internal modifiers. */
    dayFlags: Record<DayFlag, CalendarDay[]>;
    /** List the days with selection modifiers. */
    selectionStates: Record<SelectionState, CalendarDay[]>;
    /** Get the modifiers for a given day. */
    getModifiers: (day: CalendarDay) => Modifiers;
};
/** @private */
export declare function useModifiers(props: Pick<DayPickerProps, "disabled" | "hidden" | "modifiers" | "showOutsideDays" | "today">, calendar: UseCalendar, dateLib: DateLib): UseModifiers;
