import { type UseMulti } from "./selection/useMulti.js";
import { type UseRange } from "./selection/useRange.js";
import { type UseSingle } from "./selection/useSingle.js";
import type { DateLib, DayPickerProps, Mode } from "./types/index.js";
export type { UseMulti, UseRange, UseSingle };
export declare function useSelection<T extends DayPickerProps>(props: T, dateLib?: DateLib): UseSelection<T>;
export type UseSelection<T> = T extends {
    mode: Mode;
} ? {
    single: UseSingle<T>;
    multiple: UseMulti<T>;
    range: UseRange<T>;
}[T["mode"]] : {
    handleSelect: () => undefined;
    isSelected: () => false;
    selected: undefined;
};
