"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useSelection = useSelection;
const dateLib_js_1 = require("./lib/dateLib.js");
const useMulti_js_1 = require("./selection/useMulti.js");
const useRange_js_1 = require("./selection/useRange.js");
const useSingle_js_1 = require("./selection/useSingle.js");
function useSelection(props, dateLib) {
    const lib = { ...dateLib_js_1.dateLib, ...dateLib };
    const single = (0, useSingle_js_1.useSingle)(props, lib);
    const multi = (0, useMulti_js_1.useMulti)(props, lib);
    const range = (0, useRange_js_1.useRange)(props, lib);
    switch (props.mode) {
        case "single":
            // @ts-expect-error The type of `single` is `UseSingle<T>`.
            return single;
        case "multiple":
            // @ts-expect-error The type of `multi` is `UseMulti<T>`.
            return multi;
        case "range":
            // @ts-expect-error The type of `range` is `UseRange<T>`.
            return range;
        default:
            // @ts-expect-error The type of the return value correct
            return {
                handleSelect: () => undefined,
                isSelected: () => false,
                selected: undefined
            };
    }
}
//# sourceMappingURL=useSelection.js.map