import { dateLib as defaultDateLib } from "../lib/index.js";
/**
 * Return an ARIA label for the month grid, that will be announced when entering
 * the grid.
 *
 * @group Labels
 * @see http://daypicker.dev/next/docs/translation#aria-labels
 */
export function labelGrid(date, options, 
/** @ignore */
dateLib = defaultDateLib) {
    return dateLib.format(date, "LLLL y", options);
}
/**
 * @deprecated Use {@link labelGrid} instead.
 * @protected
 */
export const labelCaption = labelGrid;
//# sourceMappingURL=labelGrid.js.map