import React from "react";
import { DateLib, DateRange, DayPickerProps, Modifiers, PropsRange, PropsRangeRequired } from "../types/index.js";
export type UseRange<T> = {
    handleSelect: (triggerDate: Date, modifiers: Modifiers, e: React.MouseEvent | React.KeyboardEvent) => DateRange | undefined;
    isSelected: (date: Date) => boolean;
    isRangeStart: (date: Date) => boolean;
    isRangeEnd: (date: Date) => boolean;
    isRangeMiddle: (date: Date) => boolean;
} & (T extends {
    required: true;
} ? {
    selected: DateRange;
} : {
    selected: DateRange | undefined;
});
export declare function useRange<T extends DayPickerProps>(props: T extends {
    mode: "range";
} ? PropsRange | PropsRangeRequired : object, dateLib: DateLib): UseRange<T>;
