import React from "react";
import type { DateLib, DayPickerProps, Modifiers, PropsSingle, PropsSingleRequired } from "../types/index.js";
export type UseSingle<T> = {
    handleSelect: (triggerDate: Date, modifiers: Modifiers, e: React.MouseEvent | React.KeyboardEvent) => void;
    isSelected: (date: Date) => boolean;
} & (T extends {
    required: true;
} ? {
    selected: Date;
} : {
    selected: Date | undefined;
});
export declare function useSingle<T extends DayPickerProps>(props: T extends {
    mode: "single";
} ? PropsSingle | PropsSingleRequired : object, dateLib: DateLib): UseSingle<T>;
