import { dateLib as defaultDateLib } from "./lib/dateLib.js";
import { useMulti } from "./selection/useMulti.js";
import { useRange } from "./selection/useRange.js";
import { useSingle } from "./selection/useSingle.js";
export function useSelection(props, dateLib) {
    const lib = { ...defaultDateLib, ...dateLib };
    const single = useSingle(props, lib);
    const multi = useMulti(props, lib);
    const range = useRange(props, lib);
    switch (props.mode) {
        case "single":
            // @ts-expect-error The type of `single` is `UseSingle<T>`.
            return single;
        case "multiple":
            // @ts-expect-error The type of `multi` is `UseMulti<T>`.
            return multi;
        case "range":
            // @ts-expect-error The type of `range` is `UseRange<T>`.
            return range;
        default:
            // @ts-expect-error The type of the return value correct
            return {
                handleSelect: () => undefined,
                isSelected: () => false,
                selected: undefined
            };
    }
}
//# sourceMappingURL=useSelection.js.map